import { PartInlineDisplay } from '../../inline-display.js';
import { WeatherPart } from './weather.js';
export declare class WeatherInlineDisplay extends PartInlineDisplay<HTMLDivElement> {
    domNode: HTMLDivElement;
    private part;
    constructor(part: WeatherPart);
    getSelect(): HTMLSelectElement;
    _updateUnits(): void;
    onInject(): void;
    onDispose(): void;
}
